// TopologyAnalysisDoc.h : interface of the CTopologyAnalysisDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TOPOLOGYANALYSISDOC_H__30453380_3E75_11D7_8611_0060B0EE281E__INCLUDED_)
#define AFX_TOPOLOGYANALYSISDOC_H__30453380_3E75_11D7_8611_0060B0EE281E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <OCC_3dDoc.h>
#include "ResultDialog.h"

class CTopologyAnalysisDoc : public OCC_3dDoc
{

protected: // create from serialization only
	CTopologyAnalysisDoc();
	DECLARE_DYNCREATE(CTopologyAnalysisDoc)

public:
	virtual ~CTopologyAnalysisDoc();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(CTopologyAnalysisDoc)
	afx_msg void OnValid();
	afx_msg void OnLinear();
	afx_msg void OnVolume();
	afx_msg void OnSurface();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOPOLOGYANALYSISDOC_H__30453380_3E75_11D7_8611_0060B0EE281E__INCLUDED_)
